#!/bin/sh -
set -e -x

mkdir -p /etc/s6-init/bin
rm -rf /etc/s6-init/init /etc/s6-init/bin/rc.boot /etc/s6-rc/sv/main.db

s6-linux-init-maker -c /etc/s6-init/init -b /usr/local/bin \
	-2 /etc/s6-init/bin/rc.init -Z /etc/s6-init/bin/rc.tini -3 /etc/s6-init/bin/rc.shutdown \
	-p /usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin -t 3 /etc/s6-init/init \
	> /etc/s6-init/bin/rc.boot
chmod 755 /etc/s6-init/bin/rc.boot
cp -a /etc/s6-init/init/run-image/uncaught-logs /etc/s6-init/init/run-image/kmsg
cp -a /etc/s6-init/init/run-image/uncaught-logs /etc/s6-init/init/run-image/syslog

tar -C image -cp . | tar -C / -xp
s6-rc-compile /etc/s6-rc/sv/main.db /etc/s6-rc/sv/main
update-grub

